

package phex.actions.config;


import java.awt.event.*;
import java.util.*;
import javax.swing.*;

import phex.*;
import phex.actions.base.*;
import phex.config.*;


public class ActionConfigEnableUpload extends ActionBase
{

	public ActionConfigEnableUpload(BaseFrame frame, String label, Icon icon)
	{
		super(frame, label, icon);
	}


	public void actionPerformed(ActionEvent event)
	{
		boolean	flag = ServiceManager.sCfg.mShareEnabled;
		ServiceManager.sCfg.mShareEnabled = !flag;
		ServiceManager.sCfg.save();

		mFrame.refreshAllActions();
	}


	public void refresh()
	{
		boolean	flag = ServiceManager.sCfg.mShareEnabled;

		for (int i = 0; i < mRefreshComponents.size(); i++)
		{
			AbstractButton	comp = (AbstractButton)mRefreshComponents.elementAt(i);
			comp.setSelected(flag);
		}
	}

}


