
/*
 *  PHEX - The pure-java Gnutella-servant.
 *  Copyright (C) 2000 William W. Wong
 *  williamw@jps.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package phex;



public class FlexBuf
{
	private byte[]	mBuf;
	private int		mSize;


	public FlexBuf()
	{
		mSize = 64;
		mBuf = new byte[mSize];
	}


	public byte[] getBuf(int minSize)
	{
		if (minSize > mSize)
		{
			mSize = minSize;
			mBuf = new byte[mSize];
		}
		return mBuf;
	}


}

