
/*
 *  PHEX - The pure-java Gnutella-servant.
 *  Copyright (C) 2000 William W. Wong
 *  williamw@jps.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package phex;


import java.io.*;
import java.util.*;



public class IndexerCsv extends IndexerTxt
{
	public IndexerCsv()
	{
		super();
		mDelimiter = ",";
	}



	public static void main(String[] args)
	{
		try
		{
			IndexerCsv	indexer = new IndexerCsv();
			File		file = new File(args[0]);

			System.out.println(indexer.index(file));
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}


}


